> For the complete documentation index, see [llms.txt](https://www.center.daxium-air.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.center.daxium-air.com/api-reference/doc-api/vues.md).

# Vues

## Récupérer une vue

> Retourne une vue de fiches configurée : mode d'affichage, champs ordonnés,\
> et règles de filtrage (sur les items et sur les métadonnées).<br>

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"views"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Nom court de l'instance (ex. `daxium-test`)","schema":{"type":"string"}}},"schemas":{"View":{"type":"object","description":"Vue de fiches configurée","properties":{"id":{"type":"string","format":"uuid","description":"Identifiant unique"},"name":{"type":"string","description":"Nom localisé de la vue"},"icon":{"type":"object","description":"Type et valeur de l'icône","properties":{"type":{"type":"string"},"value":{"type":"string"}}},"view_mode":{"type":"string","description":"Mode d'affichage de la vue (ex. table)"},"view_options":{"type":"object","description":"Options de la vue","properties":{"ordered_fields":{"type":"array","description":"Liste ordonnée des champs à afficher (applicable si view_mode = table)","items":{"type":"string"}}}},"assigned_to_user":{"type":"boolean","nullable":true,"description":"Indique si la vue restreint les fiches à celles assignées à l'utilisateur courant"},"filters":{"type":"array","description":"Règles de filtrage de la vue","items":{"type":"object","properties":{"structure_id":{"type":"integer","description":"Identifiant du formulaire des fiches à afficher"},"item_filters":{"type":"array","description":"Règles de filtrage sur les champs","items":{"type":"object","properties":{"name":{"type":"string","description":"Nom système du champ"},"type":{"type":"string","description":"Type Daxium-Air du champ"},"operator":{"type":"string","description":"Opérateur à appliquer"},"values":{"type":"array","description":"Valeurs à confronter à la valeur du champ via l'opérateur","items":{}}}}},"metadata_filters":{"type":"array","description":"Règles de filtrage sur les métadonnées","items":{"type":"object","properties":{"name":{"type":"string","description":"Nom système de la métadonnée"},"operator":{"type":"string","description":"Opérateur à appliquer"},"values":{"type":"array","items":{}}}}}}}}}}}},"paths":{"/{app_short}/submissions_views/{view_id}":{"get":{"summary":"Récupérer une vue","description":"Retourne une vue de fiches configurée : mode d'affichage, champs ordonnés,\net règles de filtrage (sur les items et sur les métadonnées).\n","tags":["views"],"operationId":"getView","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"view_id","in":"path","required":true,"description":"Identifiant de la vue (UUID)","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Objet vue","content":{"application/json":{"schema":{"$ref":"#/components/schemas/View"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://www.center.daxium-air.com/api-reference/doc-api/vues.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
